> For the complete documentation index, see [llms.txt](https://docs.rememberizer.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.rememberizer.ai/ar/mward-almtwryn/api-docs/vector-store/get-the-information-of-a-document.md).

# الحصول على معلومات مستند

{% openapi src="/files/HnPQpOiuTrIsiKLD8NFc" path="/vector-stores/{vector-store-id}/documents/{document-id}" method="get" %}
[rememberizer\_openapi.yml](https://4065521171-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FKV4TZLzR1jCpM5coRezn%2Fuploads%2Fgit-blob-77b6137eeb641262ec8e531c78123c02b825b865%2Frememberizer_openapi.yml?alt=media\&token=5e84eb03-c48b-4980-9792-73172ea64dd4)
{% endopenapi %}

## طلبات مثال

{% tabs %}
{% tab title="cURL" %}

```bash
curl -X GET \
  https://api.rememberizer.ai/api/v1/vector-stores/vs_abc123/documents/1234 \
  -H "x-api-key: YOUR_API_KEY"
```

{% hint style="info" %}
استبدل `YOUR_API_KEY` بمفتاح API الخاص بك لمتجر المتجهات الفعلي، و`vs_abc123` بمعرف متجر المتجهات الخاص بك، و`1234` بمعرف الوثيقة.
{% endhint %}
{% endtab %}

{% tab title="JavaScript" %}

```javascript
const getDocumentInfo = async (vectorStoreId, documentId) => {
  const response = await fetch(`https://api.rememberizer.ai/api/v1/vector-stores/${vectorStoreId}/documents/${documentId}`, {
    method: 'GET',
    headers: {
      'x-api-key': 'YOUR_API_KEY'
    }
  });
  
  const data = await response.json();
  console.log(data);
};

getDocumentInfo('vs_abc123', 1234);
```

{% hint style="info" %}
استبدل `YOUR_API_KEY` بمفتاح API الخاص بك لمتجر المتجهات الفعلي، و`vs_abc123` بمعرف متجر المتجهات الخاص بك، و`1234` بمعرف الوثيقة.
{% endhint %}
{% endtab %}

{% tab title="Python" %}

```python
import requests

def get_document_info(vector_store_id, document_id):
    headers = {
        "x-api-key": "YOUR_API_KEY"
    }
    
    response = requests.get(
        f"https://api.rememberizer.ai/api/v1/vector-stores/{vector_store_id}/documents/{document_id}",
        headers=headers
    )
    
    data = response.json()
    print(data)

get_document_info('vs_abc123', 1234)
```

{% hint style="info" %}
استبدل `YOUR_API_KEY` بمفتاح API الخاص بك لمتجر المتجهات الفعلي، و`vs_abc123` بمعرف متجر المتجهات الخاص بك، و`1234` بمعرف الوثيقة.
{% endhint %}
{% endtab %}
{% endtabs %}

## معلمات المسار

| المعلمة         | النوع    | الوصف                                                 |
| --------------- | -------- | ----------------------------------------------------- |
| vector-store-id | سلسلة    | **مطلوب.** معرف مخزن المتجهات الذي يحتوي على الوثيقة. |
| document-id     | عدد صحيح | **مطلوب.** معرف الوثيقة لاسترجاعها.                   |

## تنسيق الاستجابة

```json
{
  "id": 1234,
  "name": "دليل المنتج.pdf",
  "type": "application/pdf",
  "vector_store": "vs_abc123",
  "size": 250000,
  "status": "مفهرس",
  "processing_status": "مكتمل",
  "indexed_on": "2023-06-15T10:30:00Z",
  "status_error_message": null,
  "created": "2023-06-15T10:15:00Z",
  "modified": "2023-06-15T10:30:00Z"
}
```

## المصادقة

تتطلب هذه النقطة النهائية المصادقة باستخدام مفتاح API في رأس `x-api-key`.

## استجابات الخطأ

| رمز الحالة | الوصف                                                  |
| ---------- | ------------------------------------------------------ |
| 401        | غير مصرح - مفتاح API غير صالح أو مفقود                 |
| 404        | غير موجود - لم يتم العثور على متجر المتجهات أو الوثيقة |
| 500        | خطأ في الخادم الداخلي                                  |

تسترجع هذه النقطة النهائية معلومات مفصلة حول وثيقة معينة في متجر المتجهات. إنها مفيدة للتحقق من حالة معالجة الوثائق الفردية واسترجاع البيانات الوصفية مثل نوع الملف، والحجم، والطوابع الزمنية. يمكن أن تكون هذه المعلومات مفيدة بشكل خاص عند استكشاف المشكلات المتعلقة بمعالجة الوثائق أو عندما تحتاج إلى التحقق من أن الوثيقة تم فهرستها بشكل صحيح.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.rememberizer.ai/ar/mward-almtwryn/api-docs/vector-store/get-the-information-of-a-document.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
